## create an empty dataframe in wich binary timeseries for a spesific NUTS region can be implemented for various impact categories
Empty_Dataframe = function(start_date, end_date){

  ## dates of timeserie
  dates = seq(as.Date(start_date), as.Date(end_date), "months")
  
  ## create empty list with header and date column
  impact_timeserie = data.frame ("Year" = integer(0),"Month" = integer(0),
                       "Impact_Combined_1" = integer(0),
                       "Impact_Combined_2" = integer(0),
                       "Impact_Combined_3" = integer(0),
                       "Impact_Combined_4" = integer(0))
  
  ## fill in data column
  for (i in 1:336){
    impact_timeserie[i,1] = format(as.Date(dates[i]), "%Y")
    impact_timeserie[i,2] = format(as.Date(dates[i]), "%m")
  }
  
  ## return empty data frame  
  return(impact_timeserie)
}