## function creates binary timeserie from EDII reports
Binary_Timeserie_EDII = function (Country, Nuts1, impact_timeserie,my_data){  
  
  ## go trough all EDII reports 
  for (i in 1:length(my_data$Entry_ID)) {
    
    ## extract drought impacts based on NUTS1 argument
    if (grepl(Nuts1,my_data$Nuts1[i]) == TRUE) {

      ## define year, month, season, and impact category of the present drought impact report
      year_start = my_data$Date_start_yyyy[i]
      year_end = my_data$Date_end_yyyy[i]
      month_start = my_data$Date_start_mm[i]
      month_end = my_data$Date_end_mm[i]
      season_start = my_data$Season_start[i]
      season_end = my_data$Season_end[i]
      Impact_cat = my_data$Impact_category[i]
      
      if (Impact_cat==1|Impact_cat==2){
        x = 3
      }
      if (Impact_cat==4|Impact_cat==5|Impact_cat==7){
        x = 4
      }
      if (Impact_cat==8|Impact_cat==9|Impact_cat==10){
        x = 5
      }
      if (Impact_cat==12|Impact_cat==13|Impact_cat==14){
        x = 6
      }
      
      
      if (Impact_cat==1|Impact_cat==2||Impact_cat==4|Impact_cat==5|Impact_cat==7|Impact_cat==8|Impact_cat==9|Impact_cat==10|Impact_cat==12|Impact_cat==13|Impact_cat==14){
        
        ## exract drought reports wich have an end month_year and start month_year
        if (is.na(month_start)==FALSE & is.na(month_end)==FALSE & is.na(year_start)==FALSE & is.na(year_end)==FALSE){
          
          ## define drought date 
          Date_start = paste0(toString(year_start),"-", toString(month_start),"-","01", sep = "")
          Date_end = paste0(toString(year_end),"-", toString(month_end),"-","01", sep = "")
          ## define timeperiod
          period = seq(as.Date(Date_start), as.Date(Date_end), "months")
          ## go trough every monthly date of the drought event
          for (j in as.list(period)){
            
            Date = as.Date(j)
            
            ## check if drought reports are within the studied time range (1990-2017)
            if ((Date %in% seq(as.Date("1990/1/1"), as.Date("2017/12/1"), "months")) == TRUE){
              
              ## extract the (x,y) coordinate of the dataframe at wich the grought report should be implemented
              y = which(impact_timeserie$Year == format(Date, "%Y") & impact_timeserie$Month == format(Date, "%m"))
              ## write binary timeserie of drought events
              impact_timeserie[y,x] = 1
            }
          }
        }
        ## exract drought reports wich have an end season and start season
        if (is.na(month_start)==TRUE & is.na(month_end)==TRUE & is.na(year_start)==FALSE & is.na(year_end)==FALSE & season_start %in% c("Summer", "Fall", "Spring", "Winter") & season_end %in% c("Summer", "Fall", "Spring", "Winter") ){
          
          ## define begin date
          if (season_start == "Summer"){
            Date_start = paste0(toString(year_start),"-", "6","-","01", sep = "")
          }
          if (season_start == "Fall"){
            Date_start = paste0(toString(year_start),"-", "9","-","01", sep = "")
          }
          if (season_start == "Winter"){
            Date_start = paste0(toString(year_start),"-", "12","-","01", sep = "")
          }
          if (season_start == "Spring"){
            Date_start = paste0(toString(year_start),"-", "3","-","01", sep = "")
          } 
          ## define end date
          if (season_end == "Summer"){
            Date_end = paste0(toString(year_end),"-", "8","-","01", sep = "")
          }
          if (season_end == "Fall"){
            Date_end = paste0(toString(year_end),"-", "11","-","01", sep = "")
          }
          if (season_end == "Winter"){
            Date_end = paste0(toString(year_end+1),"-", "2","-","01", sep = "")
          }
          if (season_end == "Spring"){
            Date_end = paste0(toString(year_end),"-", "5","-","01", sep = "")
          } 
          
          period = seq(as.Date(Date_start), as.Date(Date_end), "months")
          ## go trough every monthly date of the drought event
          for (j in as.list(period)){
            
            Date = as.Date(j)
            
            ## check if drought reports are within the studied time range (1990-2017)
            if ((Date %in% seq(as.Date("1990/1/1"), as.Date("2017/12/1"), "months")) == TRUE){
              
              ## extract the (x,y) coordinate of the dataframe at wich the drought report should be implemented
              y = which(impact_timeserie$Year == format(Date, "%Y") & impact_timeserie$Month == format(Date, "%m"))
              ## write binary timeserie of drought events
              impact_timeserie[y,x] = 1
            }
          }  
        }
      }
    }
  }
  ## change NA to zero in dataframe binary timeserie
  impact_timeserie[is.na(impact_timeserie)] <- 0
  ## return binary timeserie
  return(impact_timeserie)
} 



