###########################################################################################################
#### Script: MSc thesis Forecasting Drought Impacts
#### Date: 2019-03
#### Auther: Melati van der Weert
#### Supervisors: Samuel Sutanto, Henny van Lanen, and Niko Wanders
#### Chair group: Hydrology and Quantitative Water Management Group
#### University: Wageningen University & Research, the Netherlands
#### Objective: Convert seperate Netcdf of montly meteorological or hydrological variable into a yearly 
#### Netcdf with montly timesteps 
#### Instructions: Go through the script step by step and execute the R-code (select code and Ctrl-R).
#### If required set the working folder, input folder, and output folder according to your specifications
###########################################################################################################


## set working directory
workdir <- "F:/Thesis/Scripts/Rstudio/2_Drought_Indicies/Historical/1_Formating_Years_NetCDF_2017"
setwd(workdir)

## install and load required packages
library(ncdf4)

## load functions
source("R/1_Array_Year.R")
source("R/2_Array_to_NetCDF.R")

## set input and output folder by defining parameter
parameter = "pr"
parameter = "et"
parameter = "dis"

if (parameter == "pr"){
  input_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/Raw_Data/2017_PR"
  output_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/PR/Years"
}
if (parameter == "et"){
  input_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/Raw_Data/2017_ET"
  output_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/ET/Years"
}
if (parameter == "dis"){
  input_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/Raw_Data/2017_DIS"
  output_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/DIS/Years"
}

## merge seperate monthly NetCDF into one NetCDF for the year 2017
array_2017 = Array_Year(folder=input_folder) ## convert monthly Netcdf files into a yearly array with montly timesteps
Array_to_NetCDF(year=2017,input_data=array_2017, ncpath=output_folder, dlname=parameter) ## convert array to Netcdf





