## create NETCDF 
Array_to_NetCDF = function(year,input_data, ncpath, dlname){
  
  ## path and file name, set dname of created new NETCDF
  ncname <- toString(year)  
  ncfname <- paste(ncpath, "/", dlname, ncname, ".nc", sep="")
  dname <- "ET"  
  
  ## define dimensions of NETCDF
  tunits3 <- "months since 1990-01-01 06:00:00.0 -0:00"
  time3 <- as.array(seq(from = 1, to = 12, by = 1))
  lon3 <- as.array(seq(-1697500,1697500,5000))
  lat3 <- as.array(seq(2697500,-1347500,-5000))
  
  londim <- ncdim_def("lon","Meter",as.double(lon3)) 
  latdim <- ncdim_def("lat","Meter",as.double(lat3))
  timedim <- ncdim_def("time",tunits3,as.double(time3))
  
  ## define variables
  fillvalue <- -999
  def <- ncvar_def(dlname,"mm/month",list(londim,latdim,timedim),fillvalue,dlname,prec="single")
  
  ## greate NETCDF
  ncout <- nc_create(ncfname,list(def),force_v4=TRUE,verbose=TRUE)
  
  ## input NETCDF
  ncvar_put(ncout,def,input_data)
  ncout
  
  ## close NETCDF file
  nc_close(ncout)
}
