###########################################################################################################
#### Script: MSc thesis Forecasting Drought Impacts
#### Date: 2019-03
#### Auther: Melati van der Weert
#### Supervisors: Samuel Sutanto, Henny van Lanen, and Niko Wanders
#### Chair group: Hydrology and Quantitative Water Management Group
#### University: Wageningen University & Research, the Netherlands
#### Objective: Merge all seperate yearly Netcdf of montly meteorological or hydrological variable into   
#### one big Netcdf 
#### Instructions: Go through the script step by step and execute the R-code (select code and Ctrl-R).
#### If required set the working folder, input folder, and output folder according to your specifications
###########################################################################################################


## set working directory
workdir <- "F:/Thesis/Scripts/Rstudio/2_Drought_Indicies/Historical/2_Formating_Timeperiod_NetCDF"
setwd(workdir)

## install and load required packages
library(ncdf4)

## load functions
source("R/1_Timeperiod_Array.R")
source("R/2_Timeperiod_NetCDF.R")

## set input and output folder by defining parameter
parameter = "pr"
parameter = "et"
parameter = "dis"

if (parameter == "pr"){
  input_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/PR/Years"
  output_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/PR/Time_Period"
}
if (parameter == "et"){
  input_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/ET/Years"
  output_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/ET/Time_Period"
}
if (parameter == "dis"){
  input_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/dis/Years"
  output_folder = "F:/Thesis/Data/2_Drought_Indicies/Historical/Meteorological_Data/dis/Time_Period"
}

## merge all year NetCDF to on big timeperiod NetCDF with timesteps of months
array = Timeperiod_Array(folder=input_folder, parameter=parameter) ## merge all year NetCDF to a timeperiod array
Timeperiod_NetCDF(input_data=array, ncpath=output_folder, dlname=parameter) ## create NETCDF of the whole timeserie





