## create NETCDF of the whole timeserie
Timeperiod_NetCDF = function(input_data, ncpath, dlname){
  
  ## path and file name of created new NETCDF
  ncname <- "timeperiod"
  ncfname <- paste(ncpath, "/", dlname, "-", ncname, ".nc", sep="")

  ## define dimensions of NETCDF
  tunits3 <- "months since 1990-01-01 06:00:00.0"
  time3 <- as.array(seq(from = 1, to = 336, by = 1))
  lon3 <- as.array(seq(-1697500,1697500,5000))
  lat3 <- as.array(seq(2697500,-1347500,-5000))
  
  londim <- ncdim_def("lon","Meter",as.double(lon3)) 
  latdim <- ncdim_def("lat","Meter",as.double(lat3))
  timedim <- ncdim_def("time",tunits3,as.double(time3))
  
  ## define variables
  fillvalue <- -999
  def <- ncvar_def(dlname,"mm/month",list(londim,latdim,timedim),fillvalue,dlname,prec="single")
  
  ## create NETCDF
  ncout <- nc_create(ncfname,list(def),force_v4=TRUE,verbose=TRUE)
  
  ## input NETCDF
  ncvar_put(ncout,def,input_data)
  ncout
  
  ## close NETCDF file
  nc_close(ncout)
}
