## create a dataframe for timeseries of various variables for Germany and calculate average values of proxy of observed hydro-meteorological data
NUTS_Timeserie = function(PR_raster_NUTS_mask,ET_raster_NUTS_mask,DIS_raster_NUTS_mask){
  
  ## dates within the time period
  dates = seq(as.Date("1990/1/1"), as.Date("2017/12/1"), "months")
  
  ## create a dataframe 
  timeserie_WB = data.frame("Year" = format(as.Date(dates), "%Y"),
                            "Month"=format(as.Date(dates), "%m"),
                            "PR" = cellStats(PR_raster_NUTS_mask,'mean',na.rm=TRUE),
                            "ET" = cellStats(ET_raster_NUTS_mask,'mean',na.rm=TRUE),
                            "DIS" = cellStats(DIS_raster_NUTS_mask,'mean',na.rm=TRUE),
                            "SPI 1" = integer(336),
                            "SPI 3" = integer(336),
                            "SPI 6" = integer(336),
                            "SPI 12" = integer(336),
                            "SPEI 1" = integer(336),
                            "SPEI 3" = integer(336),
                            "SPEI 6" = integer(336),
                            "SPEI 12" = integer(336),
                            "SRI 1" = integer(336),
                            "SRI 3" = integer(336),
                            "SRI 6" = integer(336),
                            "SRI 12" = integer(336))
  

  ## output fuction
  return(timeserie_WB)
}