## calculate drought indicies with an accumulation period of 1,3,6,12 and put in a dataframe
Calc_Drought_Indicies = function(timeserie_NUTS){
  
  ## give time demension to data
  timeserie_NUTS1 = ts(timeserie_NUTS, start=c(1990,1), frequency=12)
  
  ## accumulation periods drought indecies
  index = list(1,3,6,12)
  
  
  ########################## Calculate SPI ########################## 
  
  ## plotting format
  jpeg(paste('F:/Thesis/Figures/2_Drought_Indicies/Historical/Germany_Level/SPI/Germany.jpg', sep="")) 
  par(mfrow=c(4,1))
  
  ## for every accumulation periods calculate drought indicies SPI
  for (i in index){
    
    ## calculate drought indicies
    SPI = spi(timeserie_NUTS1[,3], scale = i, distribution = 'Gamma')
    SPI_drought_values = data.frame(SPI$fitted)
    timeserie_NUTS[,5+which(index == i)] = SPI_drought_values
    ## plot drought indicies
    title = paste("Germany", ': SPI', i, sep=" ")
    plot(SPI, main=title)
    ## define distribution paramters
    SPI_distribution_parameters = data.frame(SPI$coefficients)
    write.csv(SPI_distribution_parameters,paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Distribution_Parameters/Germany_Level/SPI/Index_',toString(i), '/Germany_SPI.csv'))
  }
  
  ## save images
  dev.off()
  
  
  ########################## Calculate SPEI ########################## 
  
  ## plotting format
  jpeg(paste('F:/Thesis/Figures/2_Drought_Indicies/Historical/Germany_Level/SPEI/Germany.jpg', sep="")) 
  par(mfrow=c(4,1))
  
  ## for every accumulation periods calculate drought indicies SPEI
  for (j in index){
    
    ## calculate drought indicies
    SPEI = spei(timeserie_NUTS1[,3]-timeserie_NUTS1[,4], scale = j,distribution = 'log-Logistic')
    SPEI_drought_values = data.frame(SPEI$fitted)
    timeserie_NUTS[,9+which(index == j)] = SPEI_drought_values
    ## plot drought indicies
    title = paste("Germany", ': SPEI', j, sep=" ")
    plot(SPEI, main=title)
    ## define distribution paramters
    SPEI_distribution_parameters = data.frame(SPEI$coefficients)
    write.csv(SPEI_distribution_parameters,paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Distribution_Parameters/Germany_Level/SPEI/Index_',toString(j), '/Germany_SPEI.csv'))
  }
  
  ## save images
  dev.off()
  
  
  ########################## Calculate SRI ########################## 
  
  ## plotting format
  jpeg(paste('F:/Thesis/Figures/2_Drought_Indicies/Historical/Germany_Level/SRI/Germany.jpg', sep="")) 
  par(mfrow=c(4,1))
  
  ## for every accumulation periods calculate drought indicies SRI
  for (k in index){
    
    ## calculate drought indicies
    SRI = spi(timeserie_NUTS1[,5], scale = k, distribution = 'Gamma')
    SRI_drought_values = data.frame(SRI$fitted)
    timeserie_NUTS[,13+which(index == k)] = SRI_drought_values
    ## plot drought indicies
    title = paste("Germany", ': SRI', k, sep=" ")
    plot(SRI, main=title)
    ## define distribution paramters
    SRI_distribution_parameters = data.frame(SRI$coefficients)
    write.csv(SRI_distribution_parameters,paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Distribution_Parameters/Germany_Level/SRI/Index_',toString(k), '/Germany_SRI.csv'))
  }
  
  ## save images
  dev.off()
  
  
  ####################################################################
  
  ## write csv file with proxy of observed data and drought indicies for Germany
  write.csv(timeserie_NUTS,paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Drought_Indicies/Germany_Level/Germany.csv'))
  
  ## return function
  return()
  
}

