###########################################################################################################
#### Script: MSc thesis Forecasting Drought Impacts
#### Date: 2019-03
#### Auther: Melati van der Weert
#### Supervisors: Samuel Sutanto, Henny van Lanen, and Niko Wanders
#### Chair group: Hydrology and Quantitative Water Management Group
#### University: Wageningen University & Research, the Netherlands
#### Objective: Required filles are copied and placed in a logical and workable sets of folders from an
#### external hardrive provided by the supervisors (only applicable for year 2003 from the harddrive)
#### Instructions: Go through the script step by step and execute the R-code (select code and Ctrl-R).
#### If required set the working folder, input folder, and output folder according to your specifications
###########################################################################################################


## define the sub folder at wich selected parameters filles are extracted and copied from
Sub_Folders = c(200301,200302,200303,200304,200305,200306,200307,200308,200309,200310,200311,200312)

## define all the ensambles and therefore also the sub-sub files within the sub folders
Ensambles = c("p00","p01","p02","p03","p04","p05","p06","p07","p08","p09","p10","p11","p12","p13","p14")

## define the main folder from wich filles are extracted and copied from
Main_Folder = "G:/HINDCAST/2003/15ens-diffens"

## go trough the dates folders
for (Folder in Sub_Folders){

  ## go trought the ensamble folders
  for(Ensamble in Ensambles){
    
    ## get the required evapotranspiration, precipitation, and runoff folders and define the new ouput location
    E24a_Fille_In = paste(Main_Folder, '/', toString(Folder), '/', Ensamble, '/', "E24a", ".nc", sep="")
    E24a_Fille_Out = paste("G:/Melati", '/', "E24a", '/', Ensamble, '/', toString(Folder), ".nc", sep="")
    R24a_Fille_In = paste(Main_Folder, '/', toString(Folder), '/', Ensamble, '/', "R24a", ".nc", sep="")
    R24a_Fille_Out = paste("G:/Melati", '/', "R24a", '/', Ensamble, '/', toString(Folder), ".nc", sep="")
    dis_Fille_In = paste(Main_Folder, '/', toString(Folder), '/', Ensamble, '/', "dis", ".nc", sep="")
    dis_Fille_Out = paste("G:/Melati", '/', "dis", '/', Ensamble, '/', toString(Folder), ".nc", sep="")

    ## copy and move the filles/netcdf
    file.copy(from = E24a_Fille_In, to = E24a_Fille_Out)
    file.copy(from = R24a_Fille_In, to = R24a_Fille_Out)
    file.copy(from = dis_Fille_In, to = dis_Fille_Out)
  }
}
