###########################################################################################################
#### Script: MSc thesis Forecasting Drought Impacts
#### Date: 2019-03
#### Auther: Melati van der Weert
#### Supervisors: Samuel Sutanto, Henny van Lanen, and Niko Wanders
#### Chair group: Hydrology and Quantitative Water Management Group
#### University: Wageningen University & Research, the Netherlands
#### Objective: Required filles are copied and placed in a logical and workable sets of folders from an
#### external hardrive provided by the supervisors (only applicable for year 2006 until 2008 from the harddrive)
#### Instructions: Go through the script step by step and execute the R-code (select code and Ctrl-R).
#### If required set the working folder, input folder, and output folder according to your specifications
###########################################################################################################


## define the sub folder at wich selected parameters filles extract and copy 
Sub_Folders = c(200603,200604,200605,200606,200607,200608,200609,200610,200611,200612,200701,200702,200703,200704,200705,200706,200707,200708,200709,200710,200711,200712,200801,200802,200803,200804,200805,200806,200807,200808)

## define all the ensambles and therefore also the sub-sub files within the sub folders
Ensambles = c("p00","p01","p02","p03","p04","p05","p06","p07","p08","p09","p10","p11","p12","p13","p14")

## define the mainfolder at wich this script is going to extract filles from
Main_Folder = "G:/HINDCAST/2006-2008/15ens-diffens"

## go trough the dates folders
for (Folder in Sub_Folders){

  ## go trought the Ensamble folders
  for(Ensamble in Ensambles){
    
    ## get the required evapotranspiration, precipitation, and runoff folders and define the new ouput location
    E24a_Fille_In = paste(Main_Folder, '/', toString(Folder), '/', Ensamble, '/', "E24a", ".nc", sep="")
    E24a_Fille_Out = paste("G:/Melati", '/', "E24a", '/', Ensamble, '/', toString(Folder), ".nc", sep="")
    R24a_Fille_In = paste(Main_Folder, '/', toString(Folder), '/', Ensamble, '/', "R24a", ".nc", sep="")
    R24a_Fille_Out = paste("G:/Melati", '/', "R24a", '/', Ensamble, '/', toString(Folder), ".nc", sep="")
    dis_Fille_In = paste(Main_Folder, '/', toString(Folder), '/', Ensamble, '/', "dis", ".nc", sep="")
    dis_Fille_Out = paste("G:/Melati", '/', "dis", '/', Ensamble, '/', toString(Folder), ".nc", sep="")
    
    ## copy and move the filles/netcdf
    file.copy(from = E24a_Fille_In, to = E24a_Fille_Out)
    file.copy(from = R24a_Fille_In, to = R24a_Fille_Out)
    file.copy(from = dis_Fille_In, to = dis_Fille_Out)
  }
}

