## define the number of days within forecasting months
Days_in_Month_List = function(forecasting_date){    
  
  ## create sub function which defines date of date x months forward
  add_months= function(date,n) seq(date, by = paste (n, "months"), length = 2)[2]
  
  ## define the starting and ending date of the specific forecasting dataset
  date_start = as.Date(forecasting_date)
  date_end  = add_months(date_start,6)
  
  ## list of all timestep dates within the dataset
  timesteps = seq(as.Date(date_start), as.Date(date_end), "months")
  
  ## create empty list for function output
  list_for = array(-999,dim=c(7))
  
  ## for every month in the forecast
  for (j in seq_along(timesteps)){
    
    ## calculate the number of days in the month
    days_month = as.numeric(days_in_month(timesteps[j]))
    list_for[j] = days_month
    
  }
  ## return a list of the size of each month in the forecast
  return(list_for)
}