## create monthly forecast NETCDF
Forecast_NetCDF = function(output_folder, dlname, model, date, input_data_NetCDF){
  
  ## define path and file name of created new NETCDF
  ncpath <- paste(output_folder,"/",dlname,"/",toString(model),sep="")
  ncfname <- paste(ncpath, "/", toString(date), ".nc", sep="")
  
  ## define dimensions of NETCDF
  tunits3 <- paste("months since", toString(date), sep=" ")
  time3 <- as.array(seq(from = 1, to = 7, by = 1))
  lon3 <- as.array(seq(-1697500,1697500,5000))
  lat3 <- as.array(seq(2697500,-1347500,-5000))
  
  londim <- ncdim_def("lon","Meter",as.double(lon3)) 
  latdim <- ncdim_def("lat","Meter",as.double(lat3))
  timedim <- ncdim_def("time",tunits3,as.double(time3))
  
  ## define variables
  fillvalue <- -999
  def <- ncvar_def(dlname,"mm/month",list(londim,latdim,timedim),fillvalue,dlname,prec="single")
  
  ## create NETCDF
  ncout <- nc_create(ncfname,list(def),force_v4=TRUE,verbose=TRUE)
  
  ## input NETCDF
  ncvar_put(ncout,def,input_data_NetCDF)
  ncout
  
  ## close NETCDF file
  nc_close(ncout)
}  
