## make dataframe with average value of LISFLOOD and fields for the drought indicies values
NUTS_Timeserie_WB = function(proxy, PR_raster_NUTS_mask, ET_raster_NUTS_mask, DIS_raster_NUTS_mask, date){
  
  ## function: defines date of date x months forward
  add_months= function(date,n) seq(date, by = paste (n, "months"), length = 2)[2]
  
  ## define where the forecast begins, ends, and the timesteps sequents
  start = add_months(as.Date(date), -11)
  end = add_months(as.Date(date), 6)
  timesteps = seq(as.Date(start), as.Date(end), "months")
    
  ## create dataframe for timeseries for selected NUTS region
  timeserie_WB = data.frame("Year" = format(as.Date(timesteps), "%Y"),
                            "Month" = format(as.Date(timesteps), "%m"),
                            "PR" = integer(18),
                            "ET" = integer(18),
                            "DIS" = integer(18),
                            "SPI 1" = integer(18),
                            "SPI 3" = integer(18),
                            "SPI 6" = integer(18),
                            "SPI 12" = integer(18),
                            "SPEI 1" = integer(18),
                            "SPEI 3" = integer(18),
                            "SPEI 6" = integer(18),
                            "SPEI 12" = integer(18),
                            "SRI 1" = integer(18),
                            "SRI 3" = integer(18),
                            "SRI 6" = integer(18),
                            "SRI 12" = integer(18))
  
  
  ## define the first proxy date required to calculate drough indicies for forcasting data
  timesteps_proxy = length(seq(as.Date("1990-01-01"), as.Date(date), "months"))
  
  ## fill in dataframe with dates and proxy hydro-meteorological data
  timeserie_WB$PR[1:11] = proxy$PR[(timesteps_proxy-11):(timesteps_proxy-1)]
  timeserie_WB$PR[12:18] = cellStats(PR_raster_NUTS_mask, 'mean',na.rm=TRUE)
  timeserie_WB$ET[1:11] = proxy$ET[(timesteps_proxy-11):(timesteps_proxy-1)]
  timeserie_WB$ET[12:18] = cellStats(ET_raster_NUTS_mask, 'mean',na.rm=TRUE)
  timeserie_WB$DIS[1:11] = proxy$DIS[(timesteps_proxy-11):(timesteps_proxy-1)]
  timeserie_WB$DIS[12:18] = cellStats(DIS_raster_NUTS_mask, 'mean',na.rm=TRUE)
  
  ## output fuction
  return(timeserie_WB)
  
}