#### calculate drought indicies for accumulation periods 1,3,6,12 
Calc_Drought_Indicies = function(timeserie_NUTS, NUTS_region,model,date){
  
  ## accumulation periods drought indicies
  index = list(1,3,6,12)
  
  
  ########################## Calculate SPI ##########################
  
  ## plotting format
  jpeg(paste('F:/Thesis/Figures/2_Drought_Indicies/Reforecast/NUTS1_Level/SPI/', model, '/',NUTS_region,'/',date, '.jpg', sep="")) 
  par(mfrow=c(4,1))
  
  ## for every accumulation periods calculate drought indicies SPI
  for (i in index){
    
    ## get distribution parameters
    distr_parameters = read_csv(paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Distribution_Parameters/NUTS1_Level/SPI/Index_', toString(i), '/', toString(NUTS_region), '_SPI.csv', sep=""), col_types = cols(X1 = col_skip()))
    distr_parameters1 = array(-999,dim=c(2,1,12))
    distr_parameters1[,,] = as.matrix(distr_parameters)
    
    ## give time demension to data
    timeserie_NUTS1 <- ts(timeserie_NUTS, start=c(as.numeric(timeserie_NUTS$Year[1]),as.numeric(timeserie_NUTS$Month[1])), frequency=12)
    
    ## calculate drought indicies
    SPI = spi(timeserie_NUTS1[,'PR'], scale = i, params = distr_parameters1)
    title = paste(NUTS_region, ': SPI', i, sep=" ")
    plot(SPI, main=title)
    SPI_drought_values = data.frame(SPI$fitted[1:18])
    timeserie_NUTS[1:18,5+which(index == i)] = SPI_drought_values
    
  }
  
  ## save images
  dev.off()
  
  ########################## Calculate SPEI ########################## 
  
  ## plotting format
  jpeg(paste('F:/Thesis/Figures/2_Drought_Indicies/Reforecast/NUTS1_Level/SPEI/', model, '/',NUTS_region,'/',date, '.jpg', sep="")) 
  par(mfrow=c(4,1))
  
  ## for every accumulation periods calculate drought indicies SPEI
  for (j in index){
    
    ## get distribution parameters
    distr_parameters = read_csv(paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Distribution_Parameters/NUTS1_Level/SPEI/Index_',toString(j), '/', toString(NUTS_region), '_SPEI.csv'), col_types = cols(X1 = col_skip()))
    distr_parameters2 = array(-999,dim=c(3,1,12))
    distr_parameters2[,,] = as.matrix(distr_parameters)
    
    ## give time demension to data
    timeserie_NUTS1 <- ts(timeserie_NUTS, start=c(as.numeric(timeserie_NUTS$Year[1]),as.numeric(timeserie_NUTS$Month[1])), frequency=12)
    
    ## calculate drought indicies[,'PR']
    SPEI = spei(timeserie_NUTS1[,3]-timeserie_NUTS1[,4], scale = j, params = distr_parameters2)
    title = paste(NUTS_region, ': SPEI', j, sep=" ")
    plot(SPEI, main=title)
    SPEI_drought_values = data.frame(SPEI$fitted[1:18])
    timeserie_NUTS[1:18,9+which(index == j)] = SPEI_drought_values
    
  }
  
  ## save images
  dev.off()
  
  ########################## Calculate SRI ########################## 
  
  ## plotting format
  jpeg(paste('F:/Thesis/Figures/2_Drought_Indicies/Reforecast/NUTS1_Level/SRI/', model, '/',NUTS_region,'/',date, '.jpg', sep="")) 
  par(mfrow=c(4,1))
  
  ## for every accumulation periods calculate drought indicies SRI
  for (k in index){
    
    ## get distribution parameters
    distr_parameters = read_csv(paste0('F:/Thesis/Data/2_Drought_Indicies/Historical/Drought/Distribution_Parameters/NUTS1_Level/SRI/Index_',toString(k), '/', toString(NUTS_region), '_SRI.csv'), col_types = cols(X1 = col_skip()))
    distr_parameters2 = array(-999,dim=c(2,1,12))
    distr_parameters2[,,] = as.matrix(distr_parameters)
    
    ## give time demension to data
    timeserie_NUTS1 <- ts(timeserie_NUTS, start=c(as.numeric(timeserie_NUTS$Year[1]),as.numeric(timeserie_NUTS$Month[1])), frequency=12)
    
    ## calculate drought indicies[,'PR']
    SRI = spi(timeserie_NUTS1[,5], scale = k, params = distr_parameters2)
    title = paste(NUTS_region, ': SRI', k, sep=" ")
    plot(SRI, main=title)
    SRI_drought_values = data.frame(SRI$fitted[1:18])
    timeserie_NUTS[1:18,13+which(index == k)] = SRI_drought_values
    
  }
  
  ## save images
  dev.off()
  
  
  
  timeserie_NUTS_forc <- timeserie_NUTS[-c(1,2,3,4,5,6,7,8,9,10,11), ] 
  return(timeserie_NUTS_forc)
}




  

