## create plot illustrating the rank of predictor importance
Plot_Rank = function(data_rank){
  
  ggplot(data = data_rank, aes(x=Predictor, y=NUTS, fill=Rank)) + 
  geom_tile()+
  facet_grid(~ Indicies, space="free_x", scales="free_x", switch="x")+ 
  scale_fill_gradient(low = "#F5FBB0", high =  "#D7191C",
                      breaks=c(0,1),labels=c("Low","Hight"),limits=c(0,1))+
  scale_y_discrete(expand = c(0, 0))+
  scale_x_discrete(expand = c(0, 0),labels=c("SPI_1"="1","SPI_3"="3","SPI_6"="6","SPI_12"="12","SPEI_1"="1","SPEI_3"="3","SPEI_6"="6","SPEI_12"="12","SRI_1"="1","SRI_3"="3","SRI_6"="6","SRI_12"="12","Month"="M","Year"="Y"))+
  theme_bw() +
  labs(fill = "Predictor \nImportance")+
  theme(strip.placement = "outside",
        strip.text=element_text(vjust=2.5,hjust=0.55,size=7.5),
        axis.title.x = element_blank(),
        axis.text.x=element_text(size=6.5),
        axis.text.y=element_text(size=6.5),
        axis.title.y = element_blank(),
        plot.margin=unit(c(0,0.15,0.15,0.15), "cm"),
        strip.background = element_blank(),
        panel.grid.minor.x = element_blank(),
        panel.border = element_rect(colour="grey30"),
        panel.spacing=unit(0.2,"cm"),
        legend.title = element_text(size = 8),
        legend.text=element_text(size = 8),
        legend.key.size = unit(1,"line"))

}