## set working directory
workdir <- "F:/Thesis/Scripts/Rstudio/4_Validation/Drought_Impact/0_Diff_Cases/Case_4/RF"
setwd(workdir)

## load functions
source("R/1_ROC.R")
source("R/2_Brier_Score_Skill.R")
library(pROC)

## names of the NUTS1 regions in Germany
list_NUTS_Names = c("SL","BW","BV","RP","TH","HE","SX","NW","BE","ST","HB","BB","HH","LS","MP","SH")
## numbers of the NUTS1 regions in Germany
list_NUTS = c("741","743","750","753","775","776","777","791","796","800","810","835","843","858","903","979")
## list of impact categories
list_category = c("Impact_Combined_1","Impact_Combined_2","Impact_Combined_3","Impact_Combined_4")

## empty array where the results are written in
result = array(NA, dim = c(2304,2)) 

#### calculate BSS and ROC
## go trought every NUTS 1 level
for (NUTS in 1:length(list_NUTS)){ print(NUTS)
  ## go trought every impact category
  for (category in 1:length(list_category)){ 
    ## load proxy data wich incloud the proxy drought impact
    proxy = read.table(paste0("F:/Thesis/Data/3_Random_Forest/0_Diff_Cases/Case_4/Model_Input/Binary/",list_NUTS[NUTS],"/",list_category[category],".csv"),sep = ",",header=TRUE)

    ## check if there is about for this perticalur situation -> if not there was no model built for this situation as the number of ipact reports were limited
    if(isTRUE(class(try(read.table(paste0('F:/Thesis/Data/3_Random_Forest/0_Diff_Cases/Case_4/Modelled_Drought_Impact/RF_Factor_Hold-out/',list_NUTS[NUTS],"/",list_category[category],".csv"),header = TRUE,sep = ","),TRUE))=="try-error")){

    } else{
      ## load forecast
      forecast = read.table(paste0('F:/Thesis/Data/3_Random_Forest/0_Diff_Cases/Case_4/Modelled_Drought_Impact/RF_Factor_Hold-out/',list_NUTS[NUTS],"/",list_category[category],".csv"),header = TRUE,sep = ",")

      result[((NUTS*category-1)*36+1):(NUTS*category*36),2] = forecast$Impact_Probability
      result[((NUTS*category-1)*36+1):(NUTS*category*36),1] = proxy$Impact[289:324]
      
    }
  }
}


## write results to CSV file
write.csv(result[!(result[,1] ==1 ), 2],paste0('F:/Thesis/Data/4_Validation/Drought_Impact_Model/0_Diff_Cases/Case_4/RF_Factor/Prob_0.csv'))
write.csv(result[!(result[,1] ==0 ), 2],paste0('F:/Thesis/Data/4_Validation/Drought_Impact_Model/0_Diff_Cases/Case_4/RF_Factor/Prob_1.csv'))

