ROC = function(impact_proxy,impact_modelled){
  
  ## create a list at wich timesteps there are impact observed and where not
  fity_ypos <- impact_modelled[impact_proxy == 1]
  fity_yneg <- impact_modelled[impact_proxy == 0]
  
  ## sort the fitted values based on likelihood occurance
  sort_fity <- sort(impact_modelled)
  
  ## calculate sensitivity and specificity
  sens <- 0
  spec_c <- 0
  
  for (i in length(sort_fity):1){
    sens <- c(sens, mean(fity_ypos >= sort_fity[i],na.rm = TRUE))
    spec_c <- c(spec_c, mean(fity_yneg >= sort_fity[i],na.rm = TRUE))
  }
  
  ## Discrete approximation area under the curve, using Trapezoidal Rule 
  npoints <- length(sens)
  
  area <- sum(0.5 * (sens[-1] + sens[-npoints]) * (spec_c[-1] - 
                                                     spec_c[-npoints]))

  return(area)
}


